_USB1Interrupt:
;USB_PIC32.c,50 :: 		void USB1Interrupt() iv IVT_USB_1 ilevel 7 ics ICS_SRS{
RDPGPR	SP, SP
ADDIU	SP, SP, -12
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 7168
MTC0	R30, 12, 0
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;USB_PIC32.c,51 :: 		USBDev_IntHandler();
JAL	_USBDev_IntHandler+0
NOP	
;USB_PIC32.c,52 :: 		}
L_end_USB1Interrupt:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
ADDIU	SP, SP, 12
WRPGPR	SP, SP
ERET	
; end of _USB1Interrupt
_USBDev_CDCParamsChanged:
;USB_PIC32.c,54 :: 		void USBDev_CDCParamsChanged(){
;USB_PIC32.c,55 :: 		}
L_end_USBDev_CDCParamsChanged:
JR	RA
NOP	
; end of _USBDev_CDCParamsChanged
_USBDev_CDCDataReceived:
;USB_PIC32.c,58 :: 		void USBDev_CDCDataReceived(uint16_t size){
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;USB_PIC32.c,60 :: 		USBDev_CDCSetReceiveBuffer(buffer);
SW	R25, 4(SP)
SW	R26, 8(SP)
LUI	R25, #hi_addr(_buffer+0)
ORI	R25, R25, #lo_addr(_buffer+0)
JAL	_USBDev_CDCSetReceiveBuffer+0
NOP	
;USB_PIC32.c,61 :: 		if( strstr(buffer,"MS")  )    // check if command was found in buffer
LUI	R26, #hi_addr(?lstr1_USB_PIC32+0)
ORI	R26, R26, #lo_addr(?lstr1_USB_PIC32+0)
LUI	R25, #hi_addr(_buffer+0)
ORI	R25, R25, #lo_addr(_buffer+0)
JAL	_strstr+0
NOP	
BNE	R2, R0, L__USBDev_CDCDataReceived31
NOP	
J	L_USBDev_CDCDataReceived0
NOP	
L__USBDev_CDCDataReceived31:
;USB_PIC32.c,62 :: 		MSC_flag = 1;
ORI	R2, R0, 1
SB	R2, Offset(_MSC_flag+0)(GP)
L_USBDev_CDCDataReceived0:
;USB_PIC32.c,63 :: 		USBDev_CDCSendData( stn_out, strlen(stn_out) );
LUI	R25, #hi_addr(USBDev_CDCDataReceived_stn_out_L0+0)
ORI	R25, R25, #lo_addr(USBDev_CDCDataReceived_stn_out_L0+0)
JAL	_strlen+0
NOP	
SEH	R26, R2
LUI	R25, #hi_addr(USBDev_CDCDataReceived_stn_out_L0+0)
ORI	R25, R25, #lo_addr(USBDev_CDCDataReceived_stn_out_L0+0)
JAL	_USBDev_CDCSendData+0
NOP	
;USB_PIC32.c,64 :: 		}
L_end_USBDev_CDCDataReceived:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _USBDev_CDCDataReceived
_start_MassStorageUSB:
;USB_PIC32.c,66 :: 		char start_MassStorageUSB(){
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;USB_PIC32.c,67 :: 		delay_ms(1000);
LUI	R24, 406
ORI	R24, R24, 59050
L_start_MassStorageUSB1:
ADDIU	R24, R24, -1
BNE	R24, R0, L_start_MassStorageUSB1
NOP	
;USB_PIC32.c,68 :: 		U1OTGIR   = 0x0000;
SW	R0, Offset(U1OTGIR+0)(GP)
;USB_PIC32.c,69 :: 		U1OTGIE   = 0x0000;
SW	R0, Offset(U1OTGIE+0)(GP)
;USB_PIC32.c,70 :: 		U1OTGSTAT = 0x0000;
SW	R0, Offset(U1OTGSTAT+0)(GP)
;USB_PIC32.c,71 :: 		U1OTGCON  = 0x0000;
SW	R0, Offset(U1OTGCON+0)(GP)
;USB_PIC32.c,72 :: 		U1PWRC    = 0x0000;
SW	R0, Offset(U1PWRC+0)(GP)
;USB_PIC32.c,73 :: 		U1IR      = 0x0000;
SW	R0, Offset(U1IR+0)(GP)
;USB_PIC32.c,74 :: 		U1IE      = 0x0000;
SW	R0, Offset(U1IE+0)(GP)
;USB_PIC32.c,75 :: 		U1EIR     = 0x0000;
SW	R0, Offset(U1EIR+0)(GP)
;USB_PIC32.c,76 :: 		U1EIE     = 0x0000;
SW	R0, Offset(U1EIE+0)(GP)
;USB_PIC32.c,77 :: 		U1STAT    = 0x0000;
SW	R0, Offset(U1STAT+0)(GP)
;USB_PIC32.c,78 :: 		U1CON     = 0x0000;
SW	R0, Offset(U1CON+0)(GP)
;USB_PIC32.c,79 :: 		U1ADDR    = 0x0000;
SW	R0, Offset(U1ADDR+0)(GP)
;USB_PIC32.c,80 :: 		U1BDTP1   = 0x0000;
SW	R0, Offset(U1BDTP1+0)(GP)
;USB_PIC32.c,81 :: 		U1FRML    = 0x0000;
SW	R0, Offset(U1FRML+0)(GP)
;USB_PIC32.c,82 :: 		delay_ms(1000);
LUI	R24, 406
ORI	R24, R24, 59050
L_start_MassStorageUSB3:
ADDIU	R24, R24, -1
BNE	R24, R0, L_start_MassStorageUSB3
NOP	
;USB_PIC32.c,83 :: 		USBDev_MSCInit();
JAL	_USBDev_MSCInit+0
NOP	
;USB_PIC32.c,84 :: 		USBDev_Init();
JAL	_USBDev_Init+0
NOP	
;USB_PIC32.c,85 :: 		USBIE_bit = 1;
LUI	R2, BitMask(USBIE_bit+0)
ORI	R2, R2, BitMask(USBIE_bit+0)
_SX	8, Offset(USBIE_bit+8), 4
;USB_PIC32.c,86 :: 		IPC11bits.USBIP = 7;
ORI	R2, R0, 7168
SH	R2, Offset(IPC11bits+8)(GP)
;USB_PIC32.c,87 :: 		EnableInterrupts();
EI	R30
;USB_PIC32.c,88 :: 		delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_start_MassStorageUSB5:
ADDIU	R24, R24, -1
BNE	R24, R0, L_start_MassStorageUSB5
NOP	
;USB_PIC32.c,89 :: 		return 1;
ORI	R2, R0, 1
;USB_PIC32.c,90 :: 		}
L_end_start_MassStorageUSB:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _start_MassStorageUSB
_start_CommunicationDeviceUSB:
;USB_PIC32.c,92 :: 		char start_CommunicationDeviceUSB(){
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;USB_PIC32.c,93 :: 		delay_ms(1000);
SW	R25, 4(SP)
LUI	R24, 406
ORI	R24, R24, 59050
L_start_CommunicationDeviceUSB7:
ADDIU	R24, R24, -1
BNE	R24, R0, L_start_CommunicationDeviceUSB7
NOP	
;USB_PIC32.c,94 :: 		MSC_flag = 0;
SB	R0, Offset(_MSC_flag+0)(GP)
;USB_PIC32.c,95 :: 		U1OTGIR   = 0x0000;
SW	R0, Offset(U1OTGIR+0)(GP)
;USB_PIC32.c,96 :: 		U1OTGIE   = 0x0000;
SW	R0, Offset(U1OTGIE+0)(GP)
;USB_PIC32.c,97 :: 		U1OTGSTAT = 0x0000;
SW	R0, Offset(U1OTGSTAT+0)(GP)
;USB_PIC32.c,98 :: 		U1OTGCON  = 0x0000;
SW	R0, Offset(U1OTGCON+0)(GP)
;USB_PIC32.c,99 :: 		U1PWRC    = 0x0000;
SW	R0, Offset(U1PWRC+0)(GP)
;USB_PIC32.c,100 :: 		U1IR      = 0x0000;
SW	R0, Offset(U1IR+0)(GP)
;USB_PIC32.c,101 :: 		U1IE      = 0x0000;
SW	R0, Offset(U1IE+0)(GP)
;USB_PIC32.c,102 :: 		U1EIR     = 0x0000;
SW	R0, Offset(U1EIR+0)(GP)
;USB_PIC32.c,103 :: 		U1EIE     = 0x0000;
SW	R0, Offset(U1EIE+0)(GP)
;USB_PIC32.c,104 :: 		U1STAT    = 0x0000;
SW	R0, Offset(U1STAT+0)(GP)
;USB_PIC32.c,105 :: 		U1CON     = 0x0000;
SW	R0, Offset(U1CON+0)(GP)
;USB_PIC32.c,106 :: 		U1ADDR    = 0x0000;
SW	R0, Offset(U1ADDR+0)(GP)
;USB_PIC32.c,107 :: 		U1BDTP1   = 0x0000;
SW	R0, Offset(U1BDTP1+0)(GP)
;USB_PIC32.c,108 :: 		U1FRML    = 0x0000;
SW	R0, Offset(U1FRML+0)(GP)
;USB_PIC32.c,109 :: 		delay_ms(1000);
LUI	R24, 406
ORI	R24, R24, 59050
L_start_CommunicationDeviceUSB9:
ADDIU	R24, R24, -1
BNE	R24, R0, L_start_CommunicationDeviceUSB9
NOP	
;USB_PIC32.c,110 :: 		USBDev_CDCInit();
JAL	_USBDev_CDCInit+0
NOP	
;USB_PIC32.c,111 :: 		USBDev_Init();
JAL	_USBDev_Init+0
NOP	
;USB_PIC32.c,112 :: 		USBIE_bit = 1;
LUI	R2, BitMask(USBIE_bit+0)
ORI	R2, R2, BitMask(USBIE_bit+0)
_SX	8, Offset(USBIE_bit+8), 4
;USB_PIC32.c,113 :: 		IPC11bits.USBIP = 7;
ORI	R2, R0, 7168
SH	R2, Offset(IPC11bits+8)(GP)
;USB_PIC32.c,114 :: 		EnableInterrupts();
EI	R30
;USB_PIC32.c,115 :: 		while(USBDev_GetDeviceState() != _USB_DEV_STATE_CONFIGURED)   // Wait until device is configured (enumeration is successfully finished)
L_start_CommunicationDeviceUSB11:
JAL	_USBDev_GetDeviceState+0
NOP	
ANDI	R3, R2, 255
ORI	R2, R0, 16
BNE	R3, R2, L__start_CommunicationDeviceUSB35
NOP	
J	L_start_CommunicationDeviceUSB12
NOP	
L__start_CommunicationDeviceUSB35:
;USB_PIC32.c,116 :: 		;
J	L_start_CommunicationDeviceUSB11
NOP	
L_start_CommunicationDeviceUSB12:
;USB_PIC32.c,117 :: 		USBDev_CDCSetReceiveBuffer(buffer);
LUI	R25, #hi_addr(_buffer+0)
ORI	R25, R25, #lo_addr(_buffer+0)
JAL	_USBDev_CDCSetReceiveBuffer+0
NOP	
;USB_PIC32.c,118 :: 		return 1;
ORI	R2, R0, 1
;USB_PIC32.c,119 :: 		}
;USB_PIC32.c,118 :: 		return 1;
;USB_PIC32.c,119 :: 		}
L_end_start_CommunicationDeviceUSB:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _start_CommunicationDeviceUSB
_int0_interrupt:
;USB_PIC32.c,121 :: 		void int0_interrupt() iv IVT_EXTERNAL_0 ilevel 4 ics ICS_AUTO {
ADDIU	SP, SP, -16
SW	R30, 12(SP)
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 4096
MTC0	R30, 12, 0
;USB_PIC32.c,123 :: 		if(MSC_flag)
LBU	R2, Offset(_MSC_flag+0)(GP)
BNE	R2, R0, L__int0_interrupt38
NOP	
J	L_int0_interrupt13
NOP	
L__int0_interrupt38:
;USB_PIC32.c,124 :: 		MSC_flag = 0;
SB	R0, Offset(_MSC_flag+0)(GP)
J	L_int0_interrupt14
NOP	
L_int0_interrupt13:
;USB_PIC32.c,126 :: 		MSC_flag = 1;
ORI	R2, R0, 1
SB	R2, Offset(_MSC_flag+0)(GP)
L_int0_interrupt14:
;USB_PIC32.c,128 :: 		INT0IF_bit = 0;                    // Reset INT1 flag
LUI	R2, BitMask(INT0IF_bit+0)
ORI	R2, R2, BitMask(INT0IF_bit+0)
_SX	8, Offset(INT0IF_bit+4), 4
;USB_PIC32.c,129 :: 		}
L_end_int0_interrupt:
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
LW	R30, 12(SP)
ADDIU	SP, SP, 16
ERET	
; end of _int0_interrupt
_init_extInterrupt0:
;USB_PIC32.c,131 :: 		void init_extInterrupt0(){
;USB_PIC32.c,134 :: 		INT0IP0_bit = 0;                   // Set INT2 interrupt
LUI	R2, BitMask(INT0IP0_bit+0)
ORI	R2, R2, BitMask(INT0IP0_bit+0)
_SX	8, Offset(INT0IP0_bit+4), 4
;USB_PIC32.c,135 :: 		INT0IP1_bit = 0;                   // Set interrupt priorities
LUI	R2, BitMask(INT0IP1_bit+0)
ORI	R2, R2, BitMask(INT0IP1_bit+0)
_SX	8, Offset(INT0IP1_bit+4), 4
;USB_PIC32.c,136 :: 		INT0IP2_bit = 1;                   // Set inrrupt priority to 4
LUI	R2, BitMask(INT0IP2_bit+0)
ORI	R2, R2, BitMask(INT0IP2_bit+0)
_SX	8, Offset(INT0IP2_bit+8), 4
;USB_PIC32.c,137 :: 		INT0IE_bit  = 1;                   // Set interrupt on INT2 (RE9) to be enabled / disabled
LUI	R2, BitMask(INT0IE_bit+0)
ORI	R2, R2, BitMask(INT0IE_bit+0)
_SX	8, Offset(INT0IE_bit+8), 4
;USB_PIC32.c,140 :: 		}
L_end_init_extInterrupt0:
JR	RA
NOP	
; end of _init_extInterrupt0
_main:
;USB_PIC32.c,142 :: 		void main() {
;USB_PIC32.c,144 :: 		AD1PCFG = 0xFFFF;
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;USB_PIC32.c,145 :: 		TRISD   = 0X0001;               // Port D is output, except PortD0, which is Input
ORI	R2, R0, 1
SW	R2, Offset(TRISD+0)(GP)
;USB_PIC32.c,146 :: 		LATD    = 0X0000;
SW	R0, Offset(LATD+0)(GP)
;USB_PIC32.c,148 :: 		SPI3_Init_Advanced(_SPI_MASTER, _SPI_8_BIT, 8, _SPI_SS_DISABLE, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_HIGH, _SPI_ACTIVE_2_IDLE);
MOVZ	R28, R0, R0
ORI	R27, R0, 8
MOVZ	R26, R0, R0
ORI	R25, R0, 32
ADDIU	SP, SP, -8
SH	R0, 4(SP)
ORI	R2, R0, 64
SH	R2, 2(SP)
SH	R0, 0(SP)
JAL	_SPI3_Init_Advanced+0
NOP	
ADDIU	SP, SP, 8
;USB_PIC32.c,149 :: 		init_extInterrupt0();
JAL	_init_extInterrupt0+0
NOP	
;USB_PIC32.c,150 :: 		start_CommunicationDeviceUSB();
JAL	_start_CommunicationDeviceUSB+0
NOP	
;USB_PIC32.c,152 :: 		while(1)
L_main15:
;USB_PIC32.c,154 :: 		if(MSC_flag)
LBU	R2, Offset(_MSC_flag+0)(GP)
BNE	R2, R0, L__main42
NOP	
J	L_main17
NOP	
L__main42:
;USB_PIC32.c,156 :: 		MSC_flag = 0;
SB	R0, Offset(_MSC_flag+0)(GP)
;USB_PIC32.c,157 :: 		start_MassStorageUSB();
JAL	_start_MassStorageUSB+0
NOP	
;USB_PIC32.c,158 :: 		while(U1OTGSTATbits.VBUSVD && MSC_flag){
L_main18:
LBU	R2, Offset(U1OTGSTATbits+0)(GP)
EXT	R2, R2, 0, 1
BNE	R2, R0, L__main44
NOP	
J	L__main26
NOP	
L__main44:
LBU	R2, Offset(_MSC_flag+0)(GP)
BNE	R2, R0, L__main46
NOP	
J	L__main25
NOP	
L__main46:
L__main24:
;USB_PIC32.c,159 :: 		USBDev_MSCMain();
JAL	_USBDev_MSCMain+0
NOP	
;USB_PIC32.c,160 :: 		WDTCONSET = 0x01;    // Watchdog service
ORI	R2, R0, 1
SW	R2, Offset(WDTCONSET+0)(GP)
;USB_PIC32.c,161 :: 		}
J	L_main18
NOP	
;USB_PIC32.c,158 :: 		while(U1OTGSTATbits.VBUSVD && MSC_flag){
L__main26:
L__main25:
;USB_PIC32.c,162 :: 		MSC_flag = 0;
SB	R0, Offset(_MSC_flag+0)(GP)
;USB_PIC32.c,163 :: 		delay_ms(2000);
LUI	R24, 813
ORI	R24, R24, 52564
L_main22:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main22
NOP	
NOP	
NOP	
;USB_PIC32.c,164 :: 		start_CommunicationDeviceUSB();
JAL	_start_CommunicationDeviceUSB+0
NOP	
;USB_PIC32.c,165 :: 		}
L_main17:
;USB_PIC32.c,166 :: 		}
J	L_main15
NOP	
;USB_PIC32.c,168 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
