#line 1 "C:/Users/Alexander Wolf/Documents/PROJEKTE/PROGRAMMIERUNG/PIC/Programme/Eigene Programme II/USB/USB_PIC32 - II/MSC_Descriptor.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic32/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 3 "C:/Users/Alexander Wolf/Documents/PROJEKTE/PROGRAMMIERUNG/PIC/Programme/Eigene Programme II/USB/USB_PIC32 - II/MSC_Descriptor.c"
const uint8_t _USB_MSC_MANUFACTURER_STRING[] = "MikroElektronika";
const uint8_t _USB_MSC_PRODUCT_STRING[] = "Mass Storage by Mikroe";
const uint8_t _USB_MSC_SERIALNUMBER_STRING[] = "0x00000002";
const uint8_t _USB_MSC_CONFIGURATION_STRING[] = "Mass Storage Config Desc string";
const uint8_t _USB_MSC_INTERFACE_STRING[] = "Mass Storage mscInterface Desc string";

const uint8_t _USB_MSC_STR_DESC_SIZE = 4;
const uint16_t _USB_MSC_STR_DESC_LANGID = 0x409;

const uint8_t _USB_MSC_CONFIG_DESC_SIZ = 32;
const uint8_t _USB_MSC_PACKET_MAX_SIZE = 64;
const uint8_t _USB_MSC_IN_EP_NUM = 1;
const uint8_t _USB_MSC_OUT_EP_NUM = 1;


const uint8_t USB_MSC_LangIDDesc[_USB_MSC_STR_DESC_SIZE] = {
 _USB_MSC_STR_DESC_SIZE,
 _USB_DEV_DESCRIPTOR_TYPE_STRING,
 _USB_MSC_STR_DESC_LANGID & 0xFF,
 _USB_MSC_STR_DESC_LANGID >> 8,
};



const uint8_t USB_MSC_device_descriptor[] = {
 0x12,
 0x01,
 0x00,
 0x02,
 0x00,
 0x00,
 0x00,
 0x40,
 0x00,
 0x00,
 0x02,
 0x00,
 0x00,
 0x02,
 0x01,
 0x02,
 0x03,
 0x01

};



const uint8_t USB_MSC_cfg_descriptor[_USB_MSC_CONFIG_DESC_SIZ] = {

 0x09,
 _USB_DEV_DESCRIPTOR_TYPE_CONFIGURATION,
 _USB_MSC_CONFIG_DESC_SIZ & 0xFF,
 _USB_MSC_CONFIG_DESC_SIZ >> 8,
 0x01,
 0x01,
 0x04,
 0xC0,
 0x32,


 0x09,
 0x04,
 0x00,
 0x00,
 0x02,
 0x08,
 0x06,
 0x50,
 0x05,


 0x07,
 _USB_DEV_DESCRIPTOR_TYPE_ENDPOINT,

 0x80 | _USB_MSC_IN_EP_NUM,
 0x02,
 _USB_MSC_PACKET_MAX_SIZE,
 0x00,
 0x00,

 0x07,
 _USB_DEV_DESCRIPTOR_TYPE_ENDPOINT,
 _USB_MSC_OUT_EP_NUM,
 0x02,
 _USB_MSC_PACKET_MAX_SIZE,
 0x00,
 0x00
};
