MSC_Storage_GetMmcSectorCount:
;MSC_Storage.c,89 :: 		static uint8_t GetMmcSectorCount(uint32_t *scCnt)
ADDIU	SP, SP, -24
SW	RA, 0(SP)
;MSC_Storage.c,97 :: 		if (Mmc_Read_Csd(csdbuf) != MMC_OK)
ADDIU	R2, SP, 8
SW	R25, 4(SP)
MOVZ	R25, R2, R0
JAL	_Mmc_Read_Csd+0
NOP	
LW	R25, 4(SP)
ANDI	R2, R2, 65535
BNE	R2, R0, L_MSC_Storage_GetMmcSectorCount12
NOP	
J	L_MSC_Storage_GetMmcSectorCount0
NOP	
L_MSC_Storage_GetMmcSectorCount12:
;MSC_Storage.c,99 :: 		return MMC_ERROR;
ORI	R2, R0, 255
J	L_end_GetMmcSectorCount
NOP	
;MSC_Storage.c,100 :: 		}
L_MSC_Storage_GetMmcSectorCount0:
;MSC_Storage.c,103 :: 		if (1 == ((csdbuf[0] & 0xC0) >> 6))
ADDIU	R2, SP, 8
LBU	R2, 0(R2)
ANDI	R2, R2, 192
ANDI	R2, R2, 255
SRL	R2, R2, 6
ANDI	R3, R2, 255
ORI	R2, R0, 1
BEQ	R3, R2, L_MSC_Storage_GetMmcSectorCount13
NOP	
J	L_MSC_Storage_GetMmcSectorCount1
NOP	
L_MSC_Storage_GetMmcSectorCount13:
;MSC_Storage.c,105 :: 		size  = 0;                  size <<= 8;
; size start address is: 8 (R2)
MOVZ	R2, R0, R0
SLL	R3, R2, 8
; size end address is: 8 (R2)
;MSC_Storage.c,106 :: 		size += csdbuf[7] & 0x3F;   size <<= 8;
ADDIU	R4, SP, 8
ADDIU	R2, R4, 7
LBU	R2, 0(R2)
ANDI	R2, R2, 63
ANDI	R2, R2, 255
ADDU	R2, R3, R2
SLL	R3, R2, 8
;MSC_Storage.c,107 :: 		size += csdbuf[8];          size <<= 8;
ADDIU	R2, R4, 8
LBU	R2, 0(R2)
ANDI	R2, R2, 255
ADDU	R2, R3, R2
SLL	R3, R2, 8
;MSC_Storage.c,108 :: 		size += csdbuf[9];          size <<= 0;
ADDIU	R2, R4, 9
LBU	R2, 0(R2)
ANDI	R2, R2, 255
ADDU	R2, R3, R2
;MSC_Storage.c,111 :: 		size *= 1024;
SLL	R2, R2, 10
; size start address is: 8 (R2)
;MSC_Storage.c,112 :: 		}
; size end address is: 8 (R2)
J	L_MSC_Storage_GetMmcSectorCount2
NOP	
L_MSC_Storage_GetMmcSectorCount1:
;MSC_Storage.c,116 :: 		c_size      = ((csdbuf[8] & 0xC0) >> 6) +
ADDIU	R6, SP, 8
ADDIU	R2, R6, 8
LBU	R2, 0(R2)
ANDI	R2, R2, 192
ANDI	R2, R2, 255
SRL	R4, R2, 6
;MSC_Storage.c,117 :: 		((unsigned) csdbuf[7] << 2) +
ADDIU	R2, R6, 7
LBU	R2, 0(R2)
ANDI	R2, R2, 255
ANDI	R2, R2, 65535
SLL	R3, R2, 2
ANDI	R2, R4, 255
ADDU	R3, R2, R3
;MSC_Storage.c,118 :: 		(((unsigned) csdbuf[6] & 0x03) << 10);
ADDIU	R2, R6, 6
LBU	R2, 0(R2)
ANDI	R2, R2, 255
ANDI	R2, R2, 3
ANDI	R2, R2, 65535
SLL	R2, R2, 10
ADDU	R5, R3, R2
;MSC_Storage.c,119 :: 		c_size_mult = (csdbuf[10] & 0x80) +
ADDIU	R2, R6, 10
LBU	R2, 0(R2)
ANDI	R4, R2, 128
;MSC_Storage.c,120 :: 		(((unsigned) csdbuf[9] & 0x03) << 8);
ADDIU	R2, R6, 9
LBU	R2, 0(R2)
ANDI	R2, R2, 255
ANDI	R2, R2, 3
ANDI	R2, R2, 65535
SLL	R3, R2, 8
ANDI	R2, R4, 255
ADDU	R2, R2, R3
;MSC_Storage.c,121 :: 		c_size_mult = c_size_mult >> 7;
ANDI	R2, R2, 65535
SRL	R3, R2, 7
;MSC_Storage.c,123 :: 		read_bl_len = csdbuf[5] & 0x0f;
ADDIU	R2, R6, 5
LBU	R2, 0(R2)
ANDI	R2, R2, 15
; read_bl_len start address is: 24 (R6)
ANDI	R6, R2, 255
;MSC_Storage.c,125 :: 		mult = 1;
; mult start address is: 16 (R4)
ORI	R4, R0, 1
;MSC_Storage.c,126 :: 		mult = mult << (c_size_mult + 2);
ADDIU	R2, R3, 2
ANDI	R3, R4, 65535
; mult end address is: 16 (R4)
ANDI	R2, R2, 65535
SLLV	R3, R3, R2
;MSC_Storage.c,128 :: 		blocknr = (c_size + 1) * (long) mult;
ADDIU	R2, R5, 1
ANDI	R3, R3, 65535
ANDI	R2, R2, 65535
MUL	R4, R2, R3
;MSC_Storage.c,129 :: 		block_len = 1;
; block_len start address is: 8 (R2)
ORI	R2, R0, 1
;MSC_Storage.c,130 :: 		block_len = block_len << read_bl_len;
ANDI	R3, R2, 65535
; block_len end address is: 8 (R2)
ANDI	R2, R6, 65535
; read_bl_len end address is: 24 (R6)
SLLV	R2, R3, R2
;MSC_Storage.c,132 :: 		size = block_len * blocknr;
ANDI	R2, R2, 65535
MULTU	R2, R4
MFLO	R2
;MSC_Storage.c,135 :: 		size /= 512;
SRL	R2, R2, 9
; size start address is: 12 (R3)
MOVZ	R3, R2, R0
; size end address is: 12 (R3)
MOVZ	R2, R3, R0
;MSC_Storage.c,136 :: 		}
L_MSC_Storage_GetMmcSectorCount2:
;MSC_Storage.c,138 :: 		*scCnt = size;
; size start address is: 8 (R2)
SW	R2, 0(R25)
; size end address is: 8 (R2)
;MSC_Storage.c,140 :: 		return MMC_OK;
MOVZ	R2, R0, R0
;MSC_Storage.c,141 :: 		}
L_end_GetMmcSectorCount:
LW	RA, 0(SP)
ADDIU	SP, SP, 24
JR	RA
NOP	
; end of MSC_Storage_GetMmcSectorCount
MSC_Storage_StorageInit:
;MSC_Storage.c,145 :: 		static uint8_t StorageInit() {
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;MSC_Storage.c,147 :: 		storageInitStatus = Mmc_Init();
JAL	_Mmc_Init+0
NOP	
SB	R2, Offset(MSC_Storage_storageInitStatus+0)(GP)
;MSC_Storage.c,148 :: 		return storageInitStatus;
;MSC_Storage.c,149 :: 		}
L_end_StorageInit:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of MSC_Storage_StorageInit
MSC_Storage_StorageGetCapacity:
;MSC_Storage.c,152 :: 		static uint8_t StorageGetCapacity(uint32_t* blockNum, uint32_t *blockSize) {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;MSC_Storage.c,153 :: 		GetMmcSectorCount(blockNum);
SW	R26, 4(SP)
JAL	MSC_Storage_GetMmcSectorCount+0
NOP	
LW	R26, 4(SP)
;MSC_Storage.c,154 :: 		*blockSize = 512;
ORI	R2, R0, 512
SW	R2, 0(R26)
;MSC_Storage.c,155 :: 		return 0;
MOVZ	R2, R0, R0
;MSC_Storage.c,156 :: 		}
L_end_StorageGetCapacity:
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of MSC_Storage_StorageGetCapacity
MSC_Storage_StorageRead:
;MSC_Storage.c,159 :: 		static uint8_t StorageRead(uint8_t *buffer, uint32_t lba, uint16_t blockNum) {
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;MSC_Storage.c,161 :: 		status = 0;
SB	R0, 16(SP)
;MSC_Storage.c,162 :: 		Mmc_Multi_Read_Start(lba);
SH	R27, 4(SP)
SW	R25, 8(SP)
MOVZ	R25, R26, R0
JAL	_Mmc_Multi_Read_Start+0
NOP	
LW	R25, 8(SP)
LHU	R27, 4(SP)
;MSC_Storage.c,163 :: 		while (blockNum) {
L_MSC_Storage_StorageRead3:
BNE	R27, R0, L_MSC_Storage_StorageRead18
NOP	
J	L_MSC_Storage_StorageRead4
NOP	
L_MSC_Storage_StorageRead18:
;MSC_Storage.c,164 :: 		Mmc_Multi_Read_Sector(buffer);
SH	R27, 4(SP)
SW	R26, 8(SP)
SW	R25, 12(SP)
JAL	_Mmc_Multi_Read_Sector+0
NOP	
LW	R25, 12(SP)
LW	R26, 8(SP)
LHU	R27, 4(SP)
;MSC_Storage.c,165 :: 		buffer += 512;
ADDIU	R2, R25, 512
MOVZ	R25, R2, R0
;MSC_Storage.c,166 :: 		blockNum--;
ADDIU	R2, R27, -1
ANDI	R27, R2, 65535
;MSC_Storage.c,167 :: 		}
J	L_MSC_Storage_StorageRead3
NOP	
L_MSC_Storage_StorageRead4:
;MSC_Storage.c,168 :: 		Mmc_Multi_Read_Stop();
SH	R27, 4(SP)
SW	R26, 8(SP)
SW	R25, 12(SP)
JAL	_Mmc_Multi_Read_Stop+0
NOP	
LW	R25, 12(SP)
LW	R26, 8(SP)
LHU	R27, 4(SP)
;MSC_Storage.c,169 :: 		return status;
LBU	R2, 16(SP)
;MSC_Storage.c,170 :: 		}
L_end_StorageRead:
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of MSC_Storage_StorageRead
MSC_Storage_StorageIsReady:
;MSC_Storage.c,173 :: 		static uint8_t StorageIsReady() {
;MSC_Storage.c,174 :: 		if(storageInitStatus)
LBU	R2, Offset(MSC_Storage_storageInitStatus+0)(GP)
BNE	R2, R0, L_MSC_Storage_StorageIsReady21
NOP	
J	L_MSC_Storage_StorageIsReady5
NOP	
L_MSC_Storage_StorageIsReady21:
;MSC_Storage.c,175 :: 		return 0; // storage is not ready
MOVZ	R2, R0, R0
J	L_end_StorageIsReady
NOP	
L_MSC_Storage_StorageIsReady5:
;MSC_Storage.c,177 :: 		return 1;  // storage is ready
ORI	R2, R0, 1
;MSC_Storage.c,178 :: 		}
L_end_StorageIsReady:
JR	RA
NOP	
; end of MSC_Storage_StorageIsReady
MSC_Storage_StorageWrite:
;MSC_Storage.c,181 :: 		static uint8_t StorageWrite(uint8_t *buffer, uint32_t lba, uint16_t blockNum) {
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;MSC_Storage.c,183 :: 		status = 0;
; status start address is: 12 (R3)
MOVZ	R3, R0, R0
; status end address is: 12 (R3)
;MSC_Storage.c,184 :: 		while (blockNum) {
L_MSC_Storage_StorageWrite7:
; status start address is: 12 (R3)
BNE	R27, R0, L_MSC_Storage_StorageWrite24
NOP	
J	L_MSC_Storage_StorageWrite8
NOP	
L_MSC_Storage_StorageWrite24:
;MSC_Storage.c,185 :: 		status |= Mmc_Write_Sector(lba, buffer);
SB	R3, 4(SP)
SH	R27, 6(SP)
SW	R26, 8(SP)
SW	R25, 12(SP)
SW	R26, 16(SP)
MOVZ	R26, R25, R0
LW	R25, 16(SP)
JAL	_Mmc_Write_Sector+0
NOP	
LW	R25, 12(SP)
LW	R26, 8(SP)
LHU	R27, 6(SP)
LBU	R3, 4(SP)
OR	R2, R3, R2
ANDI	R3, R2, 255
;MSC_Storage.c,186 :: 		lba++;
ADDIU	R2, R26, 1
MOVZ	R26, R2, R0
;MSC_Storage.c,187 :: 		buffer += 512;
ADDIU	R2, R25, 512
MOVZ	R25, R2, R0
;MSC_Storage.c,188 :: 		blockNum--;
ADDIU	R2, R27, -1
ANDI	R27, R2, 65535
;MSC_Storage.c,189 :: 		}
J	L_MSC_Storage_StorageWrite7
NOP	
L_MSC_Storage_StorageWrite8:
;MSC_Storage.c,190 :: 		return status;
ANDI	R2, R3, 255
; status end address is: 12 (R3)
;MSC_Storage.c,191 :: 		}
L_end_StorageWrite:
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of MSC_Storage_StorageWrite
MSC_Storage_StorageIsWriteProtected:
;MSC_Storage.c,194 :: 		static uint8_t StorageIsWriteProtected() {
;MSC_Storage.c,195 :: 		return 0;
MOVZ	R2, R0, R0
;MSC_Storage.c,196 :: 		}
L_end_StorageIsWriteProtected:
JR	RA
NOP	
; end of MSC_Storage_StorageIsWriteProtected
MSC_Storage_StorageGetInquiryData:
;MSC_Storage.c,199 :: 		static uint8_t* StorageGetInquiryData(uint8_t vpd) {
;MSC_Storage.c,200 :: 		if(vpd == 0x80)
ANDI	R3, R25, 255
ORI	R2, R0, 128
BEQ	R3, R2, L_MSC_Storage_StorageGetInquiryData27
NOP	
J	L_MSC_Storage_StorageGetInquiryData9
NOP	
L_MSC_Storage_StorageGetInquiryData27:
;MSC_Storage.c,201 :: 		return (uint8_t *)UNIT_SERIAL_NUMBER;
LUI	R2, #hi_addr(MSC_Storage_UNIT_SERIAL_NUMBER+0)
ORI	R2, R2, #lo_addr(MSC_Storage_UNIT_SERIAL_NUMBER+0)
J	L_end_StorageGetInquiryData
NOP	
L_MSC_Storage_StorageGetInquiryData9:
;MSC_Storage.c,202 :: 		}
L_end_StorageGetInquiryData:
JR	RA
NOP	
; end of MSC_Storage_StorageGetInquiryData
MSC_Storage_StorageGetStdInquiryData:
;MSC_Storage.c,205 :: 		static uint8_t* StorageGetStdInquiryData() {
;MSC_Storage.c,206 :: 		return (uint8_t *)STD_INQUIRY_DATA;
LUI	R2, #hi_addr(MSC_Storage_STD_INQUIRY_DATA+0)
ORI	R2, R2, #lo_addr(MSC_Storage_STD_INQUIRY_DATA+0)
;MSC_Storage.c,207 :: 		}
L_end_StorageGetStdInquiryData:
JR	RA
NOP	
; end of MSC_Storage_StorageGetStdInquiryData
MSC_Storage_StorageGetModeSenseData:
;MSC_Storage.c,210 :: 		static uint8_t* StorageGetModeSenseData() {
;MSC_Storage.c,211 :: 		return (uint8_t *)MODE_SENSE_6_DATA;
LUI	R2, #hi_addr(MSC_Storage_MODE_SENSE_6_DATA+0)
ORI	R2, R2, #lo_addr(MSC_Storage_MODE_SENSE_6_DATA+0)
;MSC_Storage.c,212 :: 		}
L_end_StorageGetModeSenseData:
JR	RA
NOP	
; end of MSC_Storage_StorageGetModeSenseData
