#line 1 "C:/Users/Alexander Wolf/Documents/PROJEKTE/PROGRAMMIERUNG/PIC/Programme/Eigene Programme II/USB/USB_PIC32 - II/USB_PIC32.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic32/include/stdio.h"
#line 1 "c:/users/alexander wolf/documents/projekte/programmierung/pic/programme/eigene programme ii/usb/usb_pic32 - ii/__lib_usb_device.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic32/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 6 "c:/users/alexander wolf/documents/projekte/programmierung/pic/programme/eigene programme ii/usb/usb_pic32 - ii/__lib_usb_device.h"
typedef struct{
 uint8_t bmRequest;
 uint8_t bRequest;
 uint16_t wValue;
 uint16_t wIndex;
 uint16_t wLength;
} TUSBSetupReq;

typedef struct{
 uint8_t bLength;
 uint8_t bDescriptorType;
 uint16_t bcdUSB;
 uint8_t bDeviceClass;
 uint8_t bDeviceSubClass;
 uint8_t bDeviceProtocol;
 uint8_t bMaxPacketSize;
 uint16_t idVendor;
 uint16_t idProduct;
 uint16_t bcdDevice;
 uint8_t iManufacturer;
 uint8_t iProduct;
 uint8_t iSerialNumber;
 uint8_t bNumConfigurations;
}TUSBDeviceDsc;

typedef struct{
 uint8_t bLength;
 uint8_t bDescriptorType;
 uint16_t wTotalLength;
 uint8_t bNumInterfaces;
 uint8_t bConfigurationValue;
 uint8_t iConfiguration;
 uint8_t bmAttributes;
 uint8_t bMaxPower;
}TUSBConfigDsc;

typedef struct{
 uint8_t bLength;
 uint8_t bDescriptorType;
 uint8_t bInterfaceNumber;
 uint8_t bAlternateSetting;
 uint8_t bNumEndpoints;
 uint8_t bInterfaceClass;
 uint8_t bInterfaceSubClass;
 uint8_t bInterfaceProtocol;
 uint8_t iInterface;
}TUSBInterfaceDsc;

typedef struct{
 uint8_t bLength;
 uint8_t bDescriptorType;
 uint8_t bEndpointAddress;
 uint8_t bmAttributes;
 uint16_t wMaxPacketSize;
 uint8_t bInterval;
}TUSBEndpointDsc;
#line 35 "C:/Users/Alexander Wolf/Documents/PROJEKTE/PROGRAMMIERUNG/PIC/Programme/Eigene Programme II/USB/USB_PIC32 - II/USB_PIC32.c"
sbit Mmc_Chip_Select at LATD12_bit;
sbit Mmc_Chip_Select_Direction at TRISD12_bit;

char buffer[64];
char MSC_flag = 0;

extern const uint8_t _USB_CDC_BULK_EP_IN;
extern const uint8_t _USB_CDC_BULK_EP_OUT;

extern void USBDev_MSCInit();
extern void USBDev_MSCMain();

char start_MassStorageUSB();
char start_CommunicationDeviceUSB();

void USB1Interrupt() iv IVT_USB_1 ilevel 7 ics ICS_SRS{
 USBDev_IntHandler();
}

void USBDev_CDCParamsChanged(){
}


void USBDev_CDCDataReceived(uint16_t size){
 const char stn_out[50] = "switching now to USB Mass Storage mode\x0D";
 USBDev_CDCSetReceiveBuffer(buffer);
 if( strstr(buffer,"MS") )
 MSC_flag = 1;
 USBDev_CDCSendData( stn_out, strlen(stn_out) );
}

char start_MassStorageUSB(){
 delay_ms(1000);
 U1OTGIR = 0x0000;
 U1OTGIE = 0x0000;
 U1OTGSTAT = 0x0000;
 U1OTGCON = 0x0000;
 U1PWRC = 0x0000;
 U1IR = 0x0000;
 U1IE = 0x0000;
 U1EIR = 0x0000;
 U1EIE = 0x0000;
 U1STAT = 0x0000;
 U1CON = 0x0000;
 U1ADDR = 0x0000;
 U1BDTP1 = 0x0000;
 U1FRML = 0x0000;
 delay_ms(1000);
 USBDev_MSCInit();
 USBDev_Init();
 USBIE_bit = 1;
 IPC11bits.USBIP = 7;
 EnableInterrupts();
 delay_ms(100);
 return 1;
}

char start_CommunicationDeviceUSB(){
 delay_ms(1000);
 MSC_flag = 0;
 U1OTGIR = 0x0000;
 U1OTGIE = 0x0000;
 U1OTGSTAT = 0x0000;
 U1OTGCON = 0x0000;
 U1PWRC = 0x0000;
 U1IR = 0x0000;
 U1IE = 0x0000;
 U1EIR = 0x0000;
 U1EIE = 0x0000;
 U1STAT = 0x0000;
 U1CON = 0x0000;
 U1ADDR = 0x0000;
 U1BDTP1 = 0x0000;
 U1FRML = 0x0000;
 delay_ms(1000);
 USBDev_CDCInit();
 USBDev_Init();
 USBIE_bit = 1;
 IPC11bits.USBIP = 7;
 EnableInterrupts();
 while(USBDev_GetDeviceState() != _USB_DEV_STATE_CONFIGURED)
 ;
 USBDev_CDCSetReceiveBuffer(buffer);
 return 1;
}

void int0_interrupt() iv IVT_EXTERNAL_0 ilevel 4 ics ICS_AUTO {

 if(MSC_flag)
 MSC_flag = 0;
 else
 MSC_flag = 1;

 INT0IF_bit = 0;
}

void init_extInterrupt0(){


 INT0IP0_bit = 0;
 INT0IP1_bit = 0;
 INT0IP2_bit = 1;
 INT0IE_bit = 1;


}

void main() {

 AD1PCFG = 0xFFFF;
 TRISD = 0X0001;
 LATD = 0X0000;

 SPI3_Init_Advanced(_SPI_MASTER, _SPI_8_BIT, 8, _SPI_SS_DISABLE, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_HIGH, _SPI_ACTIVE_2_IDLE);
 init_extInterrupt0();
 start_CommunicationDeviceUSB();

 while(1)
 {
 if(MSC_flag)
 {
 MSC_flag = 0;
 start_MassStorageUSB();
 while(U1OTGSTATbits.VBUSVD && MSC_flag){
 USBDev_MSCMain();
 WDTCONSET = 0x01;
 }
 MSC_flag = 0;
 delay_ms(2000);
 start_CommunicationDeviceUSB();
 }
 }
 WDTCONSET = 0x01;
}
